## python-b2sdk 1.0.0~rc1

=== requirements.txt ===
arrow>=0.8.0,<0.13.1
logfury>=0.1.2
requests>=2.9.1
setuptools
six>=1.10
tqdm>=4.5.0
futures>=3.0.5; python_version < '3.2'
enum34>=1.1.6; python_version < '3.4'

=== debian/changelog ===
python-b2sdk (1.0.0~rc1-2) unstable; urgency=medium

  * Rebuild for source upload

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 05 Aug 2019 06:45:31 +0200

python-b2sdk (1.0.0~rc1-1) unstable; urgency=medium

  * Initial release (Closes: #931755)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 19 Jul 2019 00:20:08 +0200

=== debian/control ===
Source: python-b2sdk
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Kobližek <koblizeko@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-arrow (<< 0.13.1),
 python3-logfury,
 python3-mock,
 python3-nose,
 python3-pyflakes,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-tqdm,
 yapf3,
Standards-Version: 4.4.0
Homepage: https://github.com/Backblaze/b2-sdk-python
Vcs-Git: https://salsa.debian.org/python-team/modules/python-b2sdk.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-b2sdk
Testsuite: autopkgtest-pkg-python

Package: python3-b2sdk
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to access B2 cloud storage
 Client library and a few handy utilities for easy access to all of
 the capabilities of B2 Cloud Storage.
 .
 B2 command-line tool (backblaze-b2 package) is an example of how it
 can be used to provide command-line access to the B2 service, but
 there are many possible applications (including FUSE filesystems,
 storage backend drivers for backup applications etc).

=== debian/tests/control ===
Depends:
 python3-all,
 python3-b2sdk,
 python3-mock,
 python3-nose,
 python3-pyflakes,
 python3-setuptools,
 yapf3,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py setup.py nosetests 2>&1; done

## python-b2sdk 1.0.2

=== Makefile ===
help: ## Show this help.
	@fgrep -h "##" Makefile | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##//'
	@echo ""
	@echo "To see doc options, cd to doc and type \"make\""

.PHONY: setup
setup: ## Set up (to run tests) using your current python environment
setup: ## and enable pre-commit hook for this repo only.
	python -m pip install -r requirements-test.txt
	ln -s $(PWD)/pre-commit.sh .git/hooks/pre-commit || true

.PHONY: test
test:  ## Run unit tests
	./run-unit-tests.sh

.PHONY:
format:	## Format code using yapf
	yapf --verbose --in-place --parallel --recursive --exclude '*eggs/*' .

.PHONY: clean
clean: ## Remove stuff you can regenerate
	rm -rf b2sdk.egg-info build TAGS
	find . -name __pycache__ | xargs rm -rf
	find . -name \*~ -o -name \*.pyc | xargs rm -f

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-arrow>=0.8.0,<0.13.1
+arrow>=0.8.0,<0.13.1; python_version <= '3.4'
+arrow>=0.8.0; python_version > '3.4'
 logfury>=0.1.2
 requests>=2.9.1
 setuptools

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -T -W --keep-going
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = b2sdk
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)"

.PHONY: help Makefile

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-b2sdk (1.0.2-1) unstable; urgency=medium

  * Change my email address.
  * New upstream release.
  * d/tests/control: Add dependency python3-arrow.

 -- Ondřej Kobližek <kobla@debian.org>  Wed, 23 Oct 2019 08:15:57 +0200

python-b2sdk (1.0.0-2) unstable; urgency=medium

  * d/control: remove upper version constraint for python3-arrow (no needed
    for Python version greater than 3.4)
    https://github.com/Backblaze/b2-sdk-python/pull/64

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 11 Oct 2019 13:10:37 +0200

python-b2sdk (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Add Rules-Requires-Root
    - Bump standards version to 4.4.1 (no changes)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 04 Oct 2019 12:30:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Ondřej Kobližek <koblizeko@gmail.com>,
+ Ondřej Kobližek <kobla@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  python3-all,
- python3-arrow (<< 0.13.1),
+ python3-arrow,
  python3-logfury,
  python3-mock,
  python3-nose,
@@ -18,11 +18,12 @@
  python3-six,
  python3-tqdm,
  yapf3,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/Backblaze/b2-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-b2sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-b2sdk
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-b2sdk
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = b2sdk

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/README.md

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Depends:
  python3-all,
+ python3-arrow,
  python3-b2sdk,
  python3-mock,
  python3-nose,

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-b2sdk-$1\.tar\.gz/ \
  https://github.com/Backblaze/b2-sdk-python/tags .*/v?(\d\S*)\.tar\.gz

## python-b2sdk 1.1.4

=== debian/changelog ===
python-b2sdk (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Kobližek <kobla@debian.org>  Wed, 26 Aug 2020 10:18:22 +0200

python-b2sdk (1.0.2-3) unstable; urgency=medium

  * d/control:
    - Bump debhelper compat levet to 13
    - Bump standards version to 4.5.0 (no changes)
    - Update mailing-list address in Maintainer
    - Remove upper version limit for python3-arrow as dependency

 -- Ondřej Kobližek <kobla@debian.org>  Mon, 25 May 2020 07:13:34 +0200

python-b2sdk (1.0.2-2) unstable; urgency=medium

  * Add python3-arrow as dependency (Closes: #955565).

 -- Ondřej Nový <onovy@debian.org>  Fri, 22 May 2020 10:29:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-b2sdk
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders:
  Ondřej Kobližek <kobla@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-arrow,
@@ -18,7 +18,7 @@
  python3-six,
  python3-tqdm,
  yapf3,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Backblaze/b2-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-b2sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-b2sdk
@@ -30,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-arrow,
 Description: Python library to access B2 cloud storage
  Client library and a few handy utilities for easy access to all of
  the capabilities of B2 Cloud Storage.

## python-b2sdk 1.3.0

=== requirements.txt ===
arrow>=0.8.0,<1.0.0; python_version <= '3.5'
arrow>=0.8.0; python_version > '3.5'
importlib-metadata>=2.1.1,<3.0.0; python_version <= '3.5'
importlib-metadata>=3.3.0; python_version > '3.5' and python_version < '3.8'
logfury>=0.1.2
requests>=2.9.1
tqdm>=4.5.0

=== debian/changelog ===
python-b2sdk (1.3.0-4) unstable; urgency=medium

  * debian/tests/control
    - fix pytest -k syntax for pytest7 also for autopkgtests

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jul 2022 10:45:50 -0400

python-b2sdk (1.3.0-3) unstable; urgency=medium

  * debian/rules
    - fix pytest -k syntax for pytest7; Closes: #1013724

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jun 2022 13:09:52 -0400

python-b2sdk (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:24:22 -0400

python-b2sdk (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * New upstream version 1.3.0 (Closes: #975721)
  * d/rules: Skip test_raw_api test.
    - This test use network access.
  * d/control: Use python3-pytest and python3-pytest-mock (Closes: #981766).
    - Remove python3-mock.
  * d/tests/control: Use py3versions -s instead of py3versions -i.
  * wrap-and-sort.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/patch: Add patch to remove setuptools-scm dependency.
    - Add patch to hardcoded version to 1.3.0.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 10 Feb 2021 19:13:13 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME = b2sdk
+export PYBUILD_TEST_ARGS=-k "not test_raw_api"
+
 
 %:
 	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Depends:
 python3-all,
 python3-arrow,
 python3-b2sdk,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-mock,
 python3-setuptools,
 yapf3,
Test-Command: set -e; for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -m pytest -k "not test_raw_api" 2>&1; done

## python-b2sdk 1.17.3

=== requirements.txt ===
arrow>=1.0.2,<2.0.0
importlib-metadata>=3.3.0; python_version < '3.8'
logfury>=1.0.1,<2.0.0
requests>=2.9.1,<3.0.0
tqdm>=4.5.0,<5.0.0

=== debian/changelog ===
python-b2sdk (1.17.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:28:54 +0100

python-b2sdk (1.17.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build depend on python3-pyfakefs and python3-pytest-lazy-fixture, now
    required to run the tests.
  * Update PYBUILD_TEST_ARGS to skip integration tests.
  * Update autopkgtest to install -pyfakefs and -pytest-lazy-fixture and skip
    integration tests.
  * Update debian/patches/0001-Don-t-use-setuptools-scm.patch and
    debian/patches/0002-Hardcoded-b2sdk-version.patch.
  * Update Standards-Version, no changes needed.

 -- Emanuele Rocca <ema@debian.org>  Wed, 14 Sep 2022 21:43:39 +0200

=== debian/control ===
Source: python-b2sdk
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
Uploaders:
 Ondřej Kobližek <kobla@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-arrow,
 python3-pyfakefs,
 python3-logfury,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-lazy-fixture,
 python3-pytest-mock,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-tqdm,
 yapf3,
Standards-Version: 4.6.1
Homepage: https://github.com/Backblaze/b2-sdk-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-b2sdk.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-b2sdk
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-b2sdk
Architecture: all
Depends:
 python3-arrow,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to access B2 cloud storage
 Client library and a few handy utilities for easy access to all of
 the capabilities of B2 Cloud Storage.
 .
 B2 command-line tool (backblaze-b2 package) is an example of how it
 can be used to provide command-line access to the B2 service, but
 there are many possible applications (including FUSE filesystems,
 storage backend drivers for backup applications etc).

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME = b2sdk
-export PYBUILD_TEST_ARGS=-k "not test_raw_api"
+export PYBUILD_TEST_ARGS=test/static/ test/unit/ -k "not test_requests_notice_file"
 
 
 %:

=== debian/tests/control ===
Depends:
 python3-all,
 python3-arrow,
 python3-b2sdk,
 python3-pyfakefs,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-lazy-fixture,
 python3-pytest-mock,
 python3-setuptools,
 yapf3,
Test-Command: set -e; for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -m pytest test/unit/ -k "not test_requests_notice_file" 2>&1; done

## python-b2sdk 2.3.0

=== debian/changelog ===
python-b2sdk (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 May 2024 22:59:00 +0200

python-b2sdk (2.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.1.0
  * update build dependencies:
    - python3-setuptools
    - python3-six
    - python3-pytest-lazy-fixture
      (it's broken, patch-it out)
    + dh-sequence-python3
    + pybuild-plugin-pyproject
    + python3-pdm
    + python3-pdm-backend

  [ yedpodtrzitko ]
  * Update debian/patches/0001-Don-t-use-setuptools-scm.patch and
    debian/patches/0002-Hardcoded-b2sdk-version.patch.
  * Remove and ignore .github directory in repository.
  * Add locales-all as a build dependency.
  * Remove python3-pyfakefs as a build/test dependency.

  [ Jiri Suchan ]
  * remove pyfakefs from dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 15:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
  Ondřej Kobližek <kobla@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ locales-all,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-arrow,
- python3-pyfakefs,
+ python3-pdm,
+ python3-pdm-backend,
  python3-logfury,
  python3-pyflakes,
  python3-pytest,
- python3-pytest-lazy-fixture,
  python3-pytest-mock,
  python3-requests,
- python3-setuptools,
- python3-six,
  python3-tqdm,
  yapf3,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/Backblaze/b2-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-b2sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-b2sdk

## python-b2sdk 2.4.1

=== debian/changelog ===
python-b2sdk (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Drop build-dependency on python3-pdm, not needed.
    + Add new build-dependency python3-annotated-types.
    + Add new build-test-dependency python3-pytest-timeout.
    + Mark build-test-dependency with <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 20:58:20 -0400

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  locales-all,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-annotated-types,
  python3-arrow,
- python3-pdm,
+ python3-logfury,
  python3-pdm-backend,
- python3-logfury,
  python3-pyflakes,
- python3-pytest,
- python3-pytest-mock,
+ python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
  python3-requests,
  python3-tqdm,
  yapf3,

=== debian/tests/control ===
Depends:
 python3-all,
 python3-arrow,
 python3-b2sdk,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-mock,
 yapf3,
Test-Command: set -e; for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -m pytest test/unit/ -k "not test_requests_notice_file and not test_make_progress_listener" 2>&1; done

## python-b2sdk 2.5.1

=== debian/changelog ===
python-b2sdk (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Use canonical team maintainer email and name.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 11:20:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-b2sdk
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Kobližek <kobla@debian.org>,
 Build-Depends:

## python-b2sdk 2.6.0

=== debian/changelog ===
python-b2sdk (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: Add missing test-dep, fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Nov 2024 22:23:27 -0500

python-b2sdk (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/: Dropped.
  * debian/control: Add back build-test-dep python3-pytest-lazy-fixtures.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 12:32:41 -0500

## python-b2sdk 2.8.0

=== debian/changelog ===
python-b2sdk (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Jan 2025 12:28:02 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  python3-logfury,
  python3-pdm-backend,
  python3-pyflakes,
- python3-pytest <!nocheck>,
+ python3-pytest (>= 8.3.3) <!nocheck>,
+ python3-pytest-lazy-fixtures <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-requests,

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

export PYBUILD_NAME = b2sdk
export PYBUILD_TEST_ARGS=test/static/ test/unit/ -k "not test_requests_notice_file"


%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/README.md

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
  python3-b2sdk,
  python3-pyflakes,
  python3-pytest,
+ python3-pytest-lazy-fixtures,
  python3-pytest-mock,
+ python3-pytest-timeout,
  yapf3,
 Test-Command: set -e; for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -m pytest test/unit/ -k "not test_requests_notice_file and not test_make_progress_listener" 2>&1; done

## python-b2sdk 2.10.2

=== debian/changelog ===
python-b2sdk (2.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1120980).
  * Fix test_dir_without_exec_permission on Python 3.14 (closes: #1123197).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Jan 2026 01:13:11 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
  python3-pytest-mock <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-requests,
+ python3-responses <!nocheck>,
+ python3-tenacity <!nocheck>,
  python3-tqdm,
  yapf3,
 Standards-Version: 4.7.0
@@ -27,7 +29,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-b2sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-b2sdk
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-b2sdk
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,7 @@
  python3-pytest-lazy-fixtures,
  python3-pytest-mock,
  python3-pytest-timeout,
+ python3-responses,
+ python3-tenacity,
  yapf3,
 Test-Command: set -e; for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -m pytest test/unit/ -k "not test_requests_notice_file and not test_make_progress_listener" 2>&1; done
